<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>My Missions<button data-toggle="modal" data-target="#modal-default" class="btn btn-outline-primary" style="margin-left: 10px">New Mission</button>

        </h1>






      </div>
      <div class="col-sm-6">

        <ol class="breadcrumb float-sm-right">
          <!--          <div class="d-flex flex-row-reverse bd-highlight mb-2">-->
          <!--          -->
          <!--          </div>-->

          <li class="breadcrumb-item"><a style="color: dodgerblue">Mission</a></li>
          <li class="breadcrumb-item active">My Missions</li>

        </ol>

      </div>

    </div>
  </div><!-- /.container-fluid -->
</section>

<div class="content" style="margin-top: -20px">

  <button class="btn float-sm-right" style="margin-left: 2px"><div class="p-2 bd-highlight">
    <select (change)="onTableSizeChange($event)" class="custom-select">
      <option *ngFor="let size of tableSizes" [ngValue]="size">
        {{ size }}
      </option>
    </select>
  </div></button>
  <!--  <ul>-->
  <!--    <li class=" nav nav-pills p-1  nav-item">-->
  <!--      <a data-toggle="modal" data-target="#modal-default" class="nav-link rounded-pill note-link d-flex align-items-center px-2 px-md-3 mr-0 mr-md-2 active" id="all-category">-->
  <!--        <i class="icon-layers mr-1"></i><span class="d-none d-md-block">New Broadcast Mission</span>-->
  <!--      </a>-->
  <!--    </li>-->




  <!--  </ul>-->


  <div class="container table-responsive col-md-12" style="height: 420px">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
    <div class="page-content note-has-grid">

      <div class="tab-content bg-transparent">
        <div  class="note-has-grid row">

          <div class="col-md-3 single-note-item all-category note-important"  *ngFor="let m of missions| paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
              };
        let i = index" [class.active]="i == currentIndex">
            <div class="card card-body">
              <span class="side-stick"></span>
              <h3 class="note-title text-truncate w-75 mb-0" >{{m.title}}</h3>
              <p class="note-date font-12 text-muted">{{m.date|date:'dd-MM-yyyy'}}</p>
              <div class="note-content">
                <p class="note-inner-content text-muted" >{{m.description|slice:0:32}} <a *ngIf="m.description.length>40">...</a></p>
              </div>
              <div class="d-flex align-items-center">
                <span *ngIf="isAccepted(m)" class="badge bg-success">{{m.state}}</span>
                <span *ngIf="isPending(m)" class="badge bg-orange">{{m.state}}</span>
                <span *ngIf="isDone(m)" class="badge bg-success" style="margin-left: 4px">{{m.progress}}</span>
                <span *ngIf="isUndone(m)" class="badge bg-warning" style="margin-left: 4px">{{m.progress}}</span>
                <span *ngIf="isDoing(m)"class="badge bg-info" style="margin-left: 4px">{{m.progress}}</span>
                <span *ngIf="isPendingProgress(m)"class="badge bg-orange" style="margin-left: 4px">{{m.progress}}</span>

                <div class="ml-auto">
                  <div class="category-selector btn-group">
                    <a class="nav-link dropdown-toggle category-dropdown label-group p-0" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="true">
                      <div class="category">
                        <div class="category-business"></div>
                        <div class="category-social"></div>
                        <div class="category-important"></div>
                        <span class="more-options text-dark"><i class="icon-options-vertical"></i></span>
                      </div>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right category-menu">
                      <!--                  <i class="far fa-edit"[hidden]="!VerifyProp(m.clientemail)||m.rated||!isPending(m)||!isPendingProgress(m)"  [routerLink]="['/updatemission', m.id]"></i>-->
                      <!--                  <i class="far fa-trash-alt" [hidden]="!VerifyProp(m.clientemail)||m.rated||!isPending(m)||!isPendingProgress(m)" (click)="openDialogD(m.id)" style="margin-left: 10px"></i>-->
                      <!--                  <i class="fas fa-bars" (click)="openDialogDetails(m.id)" style="margin-left: 10px"></i>-->
                      <!--                  <i class="far fa-file-alt" style="margin-left: 10px" [routerLink]="['/mymissionoffers', m.id]" ></i>-->
                      <!--                  <button   class= "btn" (click)="openDialogRating(m.id)" [hidden]="!VerifyProp(m.clientemail)||m.rated" [disabled]="!isDone(m)" ><i class="far fa-star"></i></button>-->

                      <a [hidden]="!VerifyProp(m.clientemail)||m.rated||!isPending(m)||!isPendingProgress(m)"  [routerLink]="['/updatemission', m.id]" class="note-business badge-group-item badge-business dropdown-item position-relative category-social text-info" href="javascript:void(0);">
                        <i class="far fa-edit"></i>
                        Edit
                      </a>

                      <a [hidden]="!VerifyProp(m.clientemail)||m.rated||!isPending(m)||!isPendingProgress(m)" (click)="openDialogD(m.id)" class="note-business badge-group-item badge-business dropdown-item position-relative category-social text-info" href="javascript:void(0);">
                        <i class="far fa-trash-alt"></i>
                        Delete
                      </a>
                      <a (click)="openDialogDetails(m.id)" class="note-business badge-group-item badge-business dropdown-item position-relative category-social text-info" href="javascript:void(0);">
                        <i class="fas fa-bars"></i>
                        Details
                      </a>
                      <a [hidden]="!isPending(m)" [routerLink]="['/mymissionoffers', m.id]" class="note-business badge-group-item badge-business dropdown-item position-relative category-social text-info" href="javascript:void(0);">
                        <i class="far fa-file-alt"></i>
                        Offers
                      </a>
                      <a (click)="openDialogRating(m.id)" [hidden]="!VerifyProp(m.clientemail)||m.rated||!isDone(m)"   class="note-business badge-group-item badge-business dropdown-item position-relative category-social text-info" href="javascript:void(0);">
                        <i class="far fa-star"></i>
                        Rate
                      </a>

                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>


    </div>
  </div><!-- /.card -->
  <div class="d-flex justify-content-center">
    <pagination-controls
      responsive="true"
      previousLabel="Prev"
      nextLabel="Next"
      (pageChange)="onTableDataChange($event)">
    </pagination-controls>
  </div>
  <div class="modal fade" id="modal-default">
    <div class="modal-dialog">
      <div class="modal-content">

        <div class="modal-body">

          <app-addmission></app-addmission>
        </div>

      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>

</div>
<!--<section class="content">-->
<!--  <div class="container-fluid">-->

<!--    <div class="col-md-12 ">-->
<!--      &lt;!&ndash; general form elements &ndash;&gt;-->
<!--      <div class="card card-primary">-->
<!--        <div class="card-header" >-->
<!--          <h3 class="card-title">List of Mission   <i class="far fa-plus-square"data-toggle="modal" data-target="#modal-default"> New Broadcast Mission</i>-->
<!--          </h3>-->

<!--        </div>-->


<!--        <div class="card-body">-->
<!--          <div class="table-responsive p-0" style="height: 328px;" >-->
<!--            <table class="table table-head-fixed text-nowrap">-->
<!--              <thead>-->
<!--              <tr>-->
<!--&lt;!&ndash;                <th>ID</th>&ndash;&gt;-->
<!--                <th>Title</th>-->

<!--                <th>Date</th>-->
<!--                <th>Progress</th>-->
<!--                <th>Stat</th>-->
<!--                <th>Action</th>-->
<!--              </tr>-->
<!--              </thead>-->

<!--              <tbody>-->
<!--              <tr *ngFor="let m of missions">-->
<!--&lt;!&ndash;                <td>{{m.id}}</td>&ndash;&gt;-->
<!--                <td>{{m.title}}</td>-->

<!--                <td>{{m.date|date:'dd-MM-yyyy'}}</td>-->
<!--                <td>-->
<!--                  <div *ngIf="isAccepted(m)"> <span class="badge bg-success">{{m.state}}</span></div>-->
<!--                  <div *ngIf="isPending(m)"> <span class="badge bg-orange">{{m.state}}</span></div>-->
<!--                </td>-->
<!--                <td>-->

<!--                  <div *ngIf="isDone(m)"> <span class="badge bg-success">{{m.progress}}</span></div>-->
<!--                  <div *ngIf="isUndone(m)"> <span class="badge bg-warning">{{m.progress}}</span></div>-->
<!--                  <div *ngIf="isDoing(m)"> <span class="badge bg-info">{{m.progress}}</span></div>-->
<!--                  <div *ngIf="isPendingProgress(m)"> <span class="badge bg-orange">{{m.progress}}</span></div>-->

<!--                </td>-->
<!--                <td>-->
<!--                  &lt;!&ndash;                        data-toggle="modal" data-target="#modal-default"&ndash;&gt;-->
<!--                  &lt;!&ndash;                        <i [routerLink]="['/updatemission', m.id]"  class="far fa-eye"></i>-->
<!--                                              (click)="openDialog(m.id)"-->
<!--                                              (click)="deleteMission(m.id)"-->
<!--                                              [routerLink]="['/updatemission', m.id]"-->
<!--                                              *ngIf="VerifyProp(m.clientemail)"-->
<!--                                              [routerLink]="['/detailsmission', m.id]"&ndash;&gt;-->
<!--                  <i class="far fa-edit"[hidden]="!VerifyProp(m.clientemail)||m.rated||isUndone(m)"  [routerLink]="['/updatemission', m.id]"></i>-->
<!--                  <i class="far fa-trash-alt" [hidden]="!VerifyProp(m.clientemail)||m.rated||isUndone(m)" (click)="openDialogD(m.id)" style="margin-left: 10px"></i>-->
<!--                  <i class="fas fa-bars" (click)="openDialogDetails(m.id)" style="margin-left: 10px"></i>-->
<!--&lt;!&ndash;                 <i class="far fa-star" [hidden]="m.rated" (click)="openDialogRating(m.id)" [disabled]="!isDone(m)"  style="margin-left: 10px"></i>&ndash;&gt;-->
<!--                  &lt;!&ndash;                  <button  class= "btn btn-info far fa-eye" [routerLink]="['/updatemission', m.id]" [hidden]="m.rated" [disabled]="!VerifyProp(m.clientemail)"> UPDATE</button>&ndash;&gt;-->
<!--&lt;!&ndash;                  <button   class= "btn btn-danger" (click)="openDialogD(m.id)" style="margin-left: 10px" [hidden]="m.rated" [disabled]="!VerifyProp(m.clientemail)">DELETE</button>&ndash;&gt;-->
<!--&lt;!&ndash;                  <button   class= "btn btn-success" (click)="openDialogDetails(m.id)" style="margin-left: 10px">DETAILS</button>&ndash;&gt;-->
<!--                  <i class="far fa-file-alt" style="margin-left: 10px" [routerLink]="['/mymissionoffers', m.id]" ></i>-->
<!--                  <button   class= "btn" (click)="openDialogRating(m.id)" [hidden]="!VerifyProp(m.clientemail)||m.rated" [disabled]="!isDone(m)" ><i class="far fa-star"></i></button>-->

<!--                    &lt;!&ndash;-->
<!-- <i class="fas fa-comment-alt" (click)="openDialogD(m.id)" ></i>&ndash;&gt;-->
<!--&lt;!&ndash;                  <div class="modal fade" id="modal-update">&ndash;&gt;-->
<!--&lt;!&ndash;                    <div class="modal-dialog">&ndash;&gt;-->
<!--&lt;!&ndash;                      <div class="modal-content">&ndash;&gt;-->

<!--&lt;!&ndash;                        <div class="modal-body">&ndash;&gt;-->

<!--&lt;!&ndash;                          <app-updatemission ></app-updatemission>&ndash;&gt;-->
<!--&lt;!&ndash;                        </div>&ndash;&gt;-->

<!--&lt;!&ndash;                      </div>&ndash;&gt;-->
<!--&lt;!&ndash;                      &lt;!&ndash; /.modal-content &ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                    </div>&ndash;&gt;-->
<!--&lt;!&ndash;                    &lt;!&ndash; /.modal-dialog &ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                  </div>&ndash;&gt;-->

<!--                </td>-->

<!--              </tr>-->

<!--              </tbody>-->

<!--            </table>-->
<!--            <div class="modal fade" id="modal-default">-->
<!--              <div class="modal-dialog">-->
<!--                <div class="modal-content">-->

<!--                  <div class="modal-body">-->

<!--                    <app-addmission></app-addmission>-->
<!--                  </div>-->

<!--                </div>-->
<!--                &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--              </div>-->
<!--              &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->




<!--      </div>-->

<!--    </div>-->


<!--    &lt;!&ndash; /.row &ndash;&gt;-->
<!--  </div>&lt;!&ndash; /.container-fluid &ndash;&gt;-->
<!--</section>-->

<!--<section class="content">-->
<!--  <div class="container-fluid">-->
<!--    <div class="row">-->
<!--      <div class="col-md-12">-->
<!--        <div class="card card-primary card-outline">-->

<!--          <div class="card-body">-->
<!--            <div class="container" >-->

<!--              <div class="col-md-20">-->
<!--                <div class="text-center">-->
<!--                  <h2>Missionslist</h2>-->

<!--                </div>-->


<!--                <i class="far fa-plus-square"data-toggle="modal" data-target="#modal-default">ADD MISSION</i>-->

<!--                <div class="card">-->

<!--                  <table class="table table-striped">-->

<!--                    <thead>-->
<!--                    <tr>-->
<!--                      <th>ID</th>-->
<!--                      <th>Title</th>-->
<!--                      <th>Price</th>-->
<!--                      <th style="width: 40px">Description</th>-->
<!--                      <th>Action </th>-->
<!--                    </tr>-->
<!--                    </thead>-->

<!--                    <tbody>-->
<!--                    <tr *ngFor="let m of missions">-->
<!--                      <td>{{m.id}}</td>-->
<!--                      <td>{{m.title}}</td>-->
<!--                      <td>{{m.price}} dt</td>-->
<!--                      <td>{{m.date|date:'dd-MM-yyyy'}}</td>-->
<!--                      <td>-->
<!--&lt;!&ndash;                        data-toggle="modal" data-target="#modal-default"&ndash;&gt;-->
<!--&lt;!&ndash;                        <i [routerLink]="['/updatemission', m.id]"  class="far fa-eye"></i>-->
<!--                            (click)="openDialog(m.id)"-->
<!--                            (click)="deleteMission(m.id)"-->
<!--                            [routerLink]="['/updatemission', m.id]"&ndash;&gt;-->
<!--                        <button  class= "btn btn-info far fa-eye" [routerLink]="['/updatemission', m.id]"> UPDATE</button>-->
<!--                        <button   class= "btn btn-danger" (click)="openDialogD(m.id)" style="margin-left: 10px">DELETE</button>-->
<!--                        <button   class= "btn btn-success" [routerLink]="['/detailsmission', m.id]" style="margin-left: 10px">DETAILS</button>-->
<!--                        <div class="modal fade" id="modal-update">-->
<!--                          <div class="modal-dialog">-->
<!--                            <div class="modal-content">-->

<!--                              <div class="modal-body">-->

<!--                                <app-updatemission ></app-updatemission>-->
<!--                              </div>-->

<!--                            </div>-->
<!--                            &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--                          </div>-->
<!--                          &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--                        </div>-->

<!--                      </td>-->

<!--                    </tr>-->

<!--                    </tbody>-->

<!--                  </table>-->


<!--                  &lt;!&ndash; /.card-body &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.card &ndash;&gt;-->
<!--              </div>-->



<!--              </div>-->
<!--          </div>-->
<!--          &lt;!&ndash; /.card &ndash;&gt;-->
<!--        </div>-->






<!--      </div>-->
<!--      &lt;!&ndash; /.col &ndash;&gt;-->
<!--    </div>-->
<!--    &lt;!&ndash; ./row &ndash;&gt;-->
<!--  </div>&lt;!&ndash; /.container-fluid &ndash;&gt;-->
<!--  <div class="modal fade" id="modal-default">-->
<!--    <div class="modal-dialog">-->
<!--      <div class="modal-content">-->

<!--        <div class="modal-body">-->

<!--          <app-addmission></app-addmission>-->
<!--        </div>-->

<!--      </div>-->
<!--      &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--    </div>-->
<!--    &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--  </div>-->







<!--</section>-->




